org.apache.ignite.internal.visor

## Class VisorDataTransferObjectInput

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObjectInput

All Implemented Interfaces:
  DataInput, ObjectInput, AutoCloseable

    public class VisorDataTransferObjectInput
    extends Object
    implements ObjectInput

Wrapper for object input.

### Constructor Summary

Constructors
Constructor and Description
`VisorDataTransferObjectInput(ObjectInput in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`void` `readFully(byte[] b)`
`void` `readFully(byte[] b, int off, int len)`
`int` `readInt()`
`String` `readLine()`
`long` `readLong()`
`Object` `readObject()`
`short` `readShort()`
`int` `readUnsignedByte()`
`int` `readUnsignedShort()`
`String` `readUTF()`
`long` `skip(long n)`
`int` `skipBytes(int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorDataTransferObjectInput

    public VisorDataTransferObjectInput(ObjectInput in)
                                 throws IOException

Parameters:
  `in` - Target input.
Throws:
  `IOException` - If an I/O error occurs.

### Method Detail

#### readObject

    public Object readObject()
                      throws ClassNotFoundException,
                             IOException

Specified by:
  `readObject` in interface `ObjectInput`
Throws:
  `ClassNotFoundException`
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in interface `ObjectInput`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Specified by:
  `read` in interface `ObjectInput`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Specified by:
  `read` in interface `ObjectInput`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Specified by:
  `skip` in interface `ObjectInput`
Throws:
  `IOException`

#### available

    public int available()
                  throws IOException

Specified by:
  `available` in interface `ObjectInput`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `ObjectInput`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### readFully

    public void readFully(@NotNull
                          byte[] b)
                   throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

#### readFully

    public void readFully(@NotNull
                          byte[] b,
                          int off,
                          int len)
                   throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

#### skipBytes

    public int skipBytes(int n)
                  throws IOException

Specified by:
  `skipBytes` in interface `DataInput`
Throws:
  `IOException`

#### readBoolean

    public boolean readBoolean()
                        throws IOException

Specified by:
  `readBoolean` in interface `DataInput`
Throws:
  `IOException`

#### readByte

    public byte readByte()
                  throws IOException

Specified by:
  `readByte` in interface `DataInput`
Throws:
  `IOException`

#### readUnsignedByte

    public int readUnsignedByte()
                         throws IOException

Specified by:
  `readUnsignedByte` in interface `DataInput`
Throws:
  `IOException`

#### readShort

    public short readShort()
                    throws IOException

Specified by:
  `readShort` in interface `DataInput`
Throws:
  `IOException`

#### readUnsignedShort

    public int readUnsignedShort()
                          throws IOException

Specified by:
  `readUnsignedShort` in interface `DataInput`
Throws:
  `IOException`

#### readChar

    public char readChar()
                  throws IOException

Specified by:
  `readChar` in interface `DataInput`
Throws:
  `IOException`

#### readInt

    public int readInt()
                throws IOException

Specified by:
  `readInt` in interface `DataInput`
Throws:
  `IOException`

#### readLong

    public long readLong()
                  throws IOException

Specified by:
  `readLong` in interface `DataInput`
Throws:
  `IOException`

#### readFloat

    public float readFloat()
                    throws IOException

Specified by:
  `readFloat` in interface `DataInput`
Throws:
  `IOException`

#### readDouble

    public double readDouble()
                      throws IOException

Specified by:
  `readDouble` in interface `DataInput`
Throws:
  `IOException`

#### readLine

    public String readLine()
                    throws IOException

Specified by:
  `readLine` in interface `DataInput`
Throws:
  `IOException`

#### readUTF

    @NotNull
    public String readUTF()
                            throws IOException

Specified by:
  `readUTF` in interface `DataInput`
Throws:
  `IOException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018